Use different icons for all special folders (all bookmarks, bookmark menu, bookmark sidebar, tags, history, unsorted bookmarks)
The latest windows icon drop includes several new places icons:








I'll attach mockups of where these icons should be used, let me know if you want me to split this off into individual bugs.

I'm cc'ing the linux and OS X themers since ideally we should use the same icon names across the different themes.
